Issue384

Title ImportError: No module named 'logging'
Priority bug Status resolved
Superseder Nosy List tw
Assigned To Keywords

Created on 2017-10-29.14:30:10 by tw, last changed by kayhayen.

Messages
msg2348 (view) Author: kayhayen Date: 2018-03-27.10:36:11
Released as 0.5.29
msg2330 (view) Author: kayhayen Date: 2018-03-14.13:45:48
The packaging will change and have a dedicated Python3 installation and tool, 
switching between the versions seems relatively fragile. This will be fixed in 
the next release by making --python-version obsolete.
msg2284 (view) Author: tw Date: 2017-10-29.14:44:42
Issue was with a system-wide installation of nuitka (ubuntu package).

The ImportError does not happen when installing nuitka with pip into the active
virtual env.
msg2283 (view) Author: tw Date: 2017-10-29.14:30:09
(borg-env) tw@tux:~/w/borg/src/borg$ nuitka --version
0.5.28.1

(borg-env) tw@tux:~/w/borg/src/borg$ nuitka --python-version=3.5 --standalone
archiver.py 
Traceback (most recent call last):
  File "/usr/bin/nuitka", line 74, in <module>
    from nuitka import Options                  # isort:skip
  File "/usr/share/nuitka/nuitka/Options.py", line 20, in <module>
    import logging
ImportError: No module named 'logging'
History
Date User Action Args
2018-03-27 10:36:11kayhayensetstatus: chatting -> resolved
messages: + msg2348
2018-03-14 13:45:48kayhayensetmessages: + msg2330
2017-10-29 14:44:42twsetstatus: unread -> chatting
messages: + msg2284
2017-10-29 14:30:10twcreate